import { Address, GetAccountInfoApi, Rpc } from '@solana/web3.js';
import { Metadata } from './codecs/metadataDecoder';
export declare function getRulesetFromMetadataPda(rpc: Rpc<GetAccountInfoApi>, metadataPda: Address): Promise<any>;
export declare function fetchMetadata(rpc: Rpc<GetAccountInfoApi>, metadataPda: Address): Promise<any>;
export type PrepPnftMetadataResult = {
    metadataPda: Address;
    metadata: Metadata;
    ruleset: Address | undefined;
};
export declare function prepPnftMetadata(rpc: Rpc<GetAccountInfoApi>, mint: Address): Promise<{
    metadataPda: Address<string>;
    metadata: Metadata;
    ruleset: Address | undefined;
}>;
export declare function findMetadataPda(mint: Address, programId?: Address): Promise<readonly [Address<string>, import("@solana/web3.js").ProgramDerivedAddressBump]>;
//# sourceMappingURL=metadata.d.ts.map